Login
Newsletter
Werbung

Sicherheit: Mangelnde Eingabeprüfung in git
Aktuelle Meldungen Distributionen
Name: Mangelnde Eingabeprüfung in git
ID: openSUSE-SU-2020:0524-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 15.1
Datum: Do, 16. April 2020, 17:07
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-5260
Applikationen: Git

Originalnachricht

   openSUSE Security Update: Security update for git
______________________________________________________________________________

Announcement ID: openSUSE-SU-2020:0524-1
Rating: important
References: #1168930
Cross-References: CVE-2020-5260
Affected Products:
openSUSE Leap 15.1
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for git fixes the following issues:

- CVE-2020-5260: With a crafted URL that contains a newline in it, the
credential helper machinery can be fooled to give credential information
for a wrong host (bsc#1168930).

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.1:

zypper in -t patch openSUSE-2020-524=1



Package List:

- openSUSE Leap 15.1 (i586 x86_64):

git-2.16.4-lp151.4.6.1
git-arch-2.16.4-lp151.4.6.1
git-core-2.16.4-lp151.4.6.1
git-core-debuginfo-2.16.4-lp151.4.6.1
git-credential-gnome-keyring-2.16.4-lp151.4.6.1
git-credential-gnome-keyring-debuginfo-2.16.4-lp151.4.6.1
git-credential-libsecret-2.16.4-lp151.4.6.1
git-credential-libsecret-debuginfo-2.16.4-lp151.4.6.1
git-cvs-2.16.4-lp151.4.6.1
git-daemon-2.16.4-lp151.4.6.1
git-daemon-debuginfo-2.16.4-lp151.4.6.1
git-debuginfo-2.16.4-lp151.4.6.1
git-debugsource-2.16.4-lp151.4.6.1
git-email-2.16.4-lp151.4.6.1
git-gui-2.16.4-lp151.4.6.1
git-p4-2.16.4-lp151.4.6.1
git-svn-2.16.4-lp151.4.6.1
git-svn-debuginfo-2.16.4-lp151.4.6.1
git-web-2.16.4-lp151.4.6.1
gitk-2.16.4-lp151.4.6.1

- openSUSE Leap 15.1 (noarch):

git-doc-2.16.4-lp151.4.6.1


References:

https://www.suse.com/security/cve/CVE-2020-5260.html
https://bugzilla.suse.com/1168930

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung